import { ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ClockPickerService implements OnDestroy {
    private wrapperDial;
    private wrapperDialMin;
    private renderer;
    private subscribe;
    private elementNumber;
    private step;
    private opened;
    private angle;
    private relativeAngle;
    private radius;
    private numbers;
    private minNumber;
    private maxNumber;
    private divisor;
    private timeClock;
    type: string;
    change: Subject<unknown>;
    private clockRadius;
    constructor(wrapperDial: ElementRef, wrapperDialMin: ElementRef, renderer: Renderer2);
    createMinHourDial(): void;
    createHourDial(): void;
    createMinuteDial(): void;
    clearWrapper(): void;
    clearWrapperMin(): void;
    getDivisorAngle(): number;
    getAngleClock(): any;
    setRelativeAngle(): void;
    setClockStep(): void;
    createNumbers(): void;
    createElementNumber(): void;
    appendElementNumber(): void;
    listenClickNumber(index: number): void;
    setElementNumberValue(hour: number): void;
    setRadiusNumber(): void;
    setStylesNumber(): void;
    setAngleLineHour(angle: number): void;
    setTimeClock(value: string): void;
    closeClockPicker(): void;
    getTimeByAngle(angle: any): void;
    getClockAngle(value: any): number;
    getClockPickerValue(): {
        hour: string;
        minute: string;
    };
    openClockPicker(): void;
    getOpened(): boolean;
    getAngleX(): number;
    getAngleY(): number;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClockPickerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ClockPickerService>;
}
//# sourceMappingURL=clockpicker.service.d.ts.map